<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	/*

	*/
	$acction=$_POST['oper'];
	$codigo=$_POST['id_inasis']; //codigo del regidtro
	
	$fecha=$_POST['fecha'];
	$cod_falta=$_POST['cod_falta'];
	$obs=$_POST['obs_fal'];
	$cod_estud=$_POST['id_estud'];
	$periodo=$_POST['periodo'];
	$detalle=$_POST['det_fal'];
	switch($acction){
		case 'del':
			$sql="delete from `aca_faltas_estudiantes`  WHERE ide_faltaxest = '$codigo';";
		break;
		case 'edit';
			$sql="UPDATE aca_faltas_estudiantes
SET cod_falta = '$cod_falta', fecha_falta = '$fecha', desc_falta = '$detalle', periodo_fal = '$periodo', obser_falta = '$obs'
WHERE ide_faltaxest = '$codigo';";
		break;
		case 'add':
			$sql="INSERT INTO aca_faltas_estudiantes (cod_falta, cod_estudiante, fecha_falta, desc_falta, periodo_fal, obser_falta)
VALUES ('$cod_falta', '$cod_estud', '$fecha', '$detalle', '$periodo', '$obs');";
		break;
		default:
			$sql="";
	}

	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='add'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>